Assignments Assignments

Classes | Macros | Typedefs | Functions | Variables
ckconfig.cpp File Reference
`#include <stddef.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`

## Classes
struct | methods_struct

## Macros
#define | HAVE_STDDEF_H /* replace 'define' by 'undef' if error here */
#define | HAVE_STDLIB_H /* same thing for stdlib.h */
#define | HAVE_PROTOTYPES
#define | HAVE_UNSIGNED_CHAR
#define | HAVE_UNSIGNED_SHORT
#define | HAVE_VOID
#define | HAVE_CONST

## Typedefs
typedef size_t | my_size_t
typedef void * | void_ptr
typedef void(* | void_func) (int a, int b)
typedef struct undefined_structure * | undef_struct_ptr

## Functions
int | testfunction (int arg1, int *arg2)
int | test2function (void)
void | test3function (void_ptr arg1, void_func arg2)
int | test4function (const int arg1)
int | possibly_duplicate_function ()
int | possibly_dupli_function ()
int | is_char_signed (int arg)
int | is_shifting_signed (long arg)
int | main (int argc, char **argv)

## Variables
unsigned char | un_char
unsigned short | un_short
static const int | carray [3] = {1, 2, 3}

## Macro Definition Documentation

## ◆ HAVE_CONST

#define HAVE_CONST

## ◆ HAVE_PROTOTYPES

#define HAVE_PROTOTYPES

## ◆ HAVE_STDDEF_H

#define HAVE_STDDEF_H /* replace 'define' by 'undef' if error here */

## ◆ HAVE_STDLIB_H

#define HAVE_STDLIB_H /* same thing for stdlib.h */

## ◆ HAVE_UNSIGNED_CHAR

#define HAVE_UNSIGNED_CHAR

## ◆ HAVE_UNSIGNED_SHORT

#define HAVE_UNSIGNED_SHORT

## ◆ HAVE_VOID

#define HAVE_VOID

## Typedef Documentation

## ◆ my_size_t

typedef size_t my_size_t

## ◆ undef_struct_ptr

typedef struct undefined_structure* undef_struct_ptr

## ◆ void_func

typedef void(* void_func) (int a, int b)

## ◆ void_ptr

typedef void* void_ptr

## Function Documentation

## ◆ is_char_signed()

int is_char_signed | ( | int | arg | ) |

## ◆ is_shifting_signed()

int is_shifting_signed | ( | long | arg | ) |

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv )

## ◆ possibly_dupli_function()

int possibly_dupli_function | ( |  | ) |

## ◆ possibly_duplicate_function()

int possibly_duplicate_function | ( |  | ) |

## ◆ test2function()

int test2function | ( | void |  | ) |

## ◆ test3function()

void test3function | ( | void_ptr | arg1,
|  | void_func | arg2 )

## ◆ test4function()

int test4function | ( | const int | arg1 | ) |

## ◆ testfunction()

int testfunction | ( | int | arg1,
|  | int * | arg2 )

## Variable Documentation

## ◆ carray

const int carray[3] = {1, 2, 3}
| static

## ◆ un_char

unsigned char un_char

## ◆ un_short

unsigned short un_short